Package com.io7m.waxmill.realize.internal

# Class WXMFileCheck

java.lang.Object
com.io7m.waxmill.realize.internal.WXMFileCheck

All Implemented Interfaces:
  `WXMRealizationStepType`

    public final class WXMFileCheck
    extends java.lang.Object
    implements WXMRealizationStepType

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `WXMFileCheck​(WXMRealizeMessages inMessages, WXMDeviceSlot inSlot, java.util.UUID inMachineId, java.nio.file.Path inFile)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `description()` |
  `void` | `execute​(WXMDryRun dryRun)` | Execute the step.
  `java.util.List<WXMProcessDescription>` | `processes()` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WXMFileCheck

    public WXMFileCheck​(WXMRealizeMessages inMessages, WXMDeviceSlot inSlot, java.util.UUID inMachineId, java.nio.file.Path inFile)

- ## Method Details

  - ### description

    public java.lang.String description()
    Specified by:
      `description` in interface `WXMRealizationStepType`
    Returns:
      The description of the step

  - ### processes

    public java.util.List<WXMProcessDescription> processes()
    Specified by:
      `processes` in interface `WXMRealizationStepType`
    Returns:
      The list of processes that will be executed

  - ### execute

    public void execute​(WXMDryRun dryRun) throws WXMException
    Description copied from interface: `WXMRealizationStepType`
    Execute the step.
    Specified by:
      `execute` in interface `WXMRealizationStepType`
    Parameters:
      `dryRun` - A specification of whether this is a dry run or not
    Throws:
      `WXMException` - On errors

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`